﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfAppSample;

namespace WpfAppCamboApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<string> list_firstCol, list_secondCol, listC, listD, listE, listF, listG, Custom;
        List<int> ListtotalDays;
        public MainWindow()
        {
            InitializeComponent();

            var context = new WpfAppSample.TabViewDataContext
            {
                // GanttData = ganttTab(),
                TableData = tableTab()

            };

            this.DataContext = context;

        }


        public List<CsvParseData> tableTab()
        {
            return CsvParseDataService.ReadFile(@"Unit Records Sample.csv");
        }

        void modifyData()
        {

            using (var reader = new StreamReader(@"Unit Records Sample_modified.csv"))
            {
                list_firstCol = new List<string>();
                list_secondCol = new List<string>();
                listC = new List<string>();
                listD = new List<string>();
                listE = new List<string>();
                listF = new List<string>();
                listG = new List<string>();
                Custom = new List<string>();
                ListtotalDays = new List<int>();
                while (!reader.EndOfStream)
                {
                    var line = reader.ReadLine();
                    var values = line.Split(',');

                    list_firstCol.Add(values[0]);
                    list_secondCol.Add(values[1]);
                    listC.Add(values[2]);
                    listD.Add(values[3]);
                    listE.Add(values[4]);
                    listF.Add(values[5]);
                    listG.Add(values[6]);

                    int totalList = Math.Abs(Convert.ToInt32((DateTime.Parse(values[6]) - DateTime.Parse(values[2])).TotalDays));
                    //Console.WriteLine(totalList);



                    ListtotalDays.Add(totalList);

                }
            }
        }



        void OnImageButtonClick(object sender, RoutedEventArgs e)
        {

        }

        void OnClickFilterBtn(object sender, RoutedEventArgs e)
        {

        }


        private void tabItem2_Clicked(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            //DO SOMETHING
            NavigationService service = NavigationService.GetNavigationService(this);
            service.Navigate(new Uri("Window1.xaml", UriKind.RelativeOrAbsolute));
        }

        void OnClickClearBtn(object sender, RoutedEventArgs e)
        {
            Console.WriteLine("Clear Button Clicked");
            //TextBox1.Text = String.Empty;
            //instalCode_box.Text = String.Empty;
            //uuid_box.Text = String.Empty;
            //location_box.Text = String.Empty;
            //install_time_box.Text = String.Empty;
            //uninstall_time_box.Text = String.Empty;
            //notes_box.Text = String.Empty;
        }
    }
}
